Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.hmm.transitions
Interface TrainableAndDifferentiableTransition

All Superinterfaces:
  Cloneable, DifferentiableTransition, Storable, TrainableTransition, Transition, TransitionWithSufficientStatistic

    public interface TrainableAndDifferentiableTransition

extends TrainableTransition, DifferentiableTransition

This interface unifies the interfaces `TrainableTransition` and `DifferentiableTransition`.

Author:
  Jens Keilwagen

Method Summary

Methods inherited from interface de.jstacs.sequenceScores.statisticalModels.trainable.hmm.transitions.TrainableTransition
`estimateFromStatistic`

Methods inherited from interface de.jstacs.sequenceScores.statisticalModels.trainable.hmm.transitions.TransitionWithSufficientStatistic
`addToStatistic, getLogGammaScoreFromStatistic, joinStatistics, resetStatistic`

Methods inherited from interface de.jstacs.sequenceScores.statisticalModels.trainable.hmm.transitions.Transition
`clone, fillTransitionInformation, getChildIdx, getGraphizNetworkRepresentation, getLastContextState, getLogPriorTerm, getLogScoreFor, getMaximalInDegree, getMaximalMarkovOrder, getMaximalNumberOfChildren, getNumberOfChildren, getNumberOfIndexes, getNumberOfStates, hasAnySelfTransitions, initializeRandomly, isAbsoring, setParameters, toString`

Methods inherited from interface de.jstacs.Storable
`toXML`

Methods inherited from interface de.jstacs.sequenceScores.statisticalModels.trainable.hmm.transitions.DifferentiableTransition
`addGradientForLogPriorTerm, fillParameters, fillSamplingGroups, getLogScoreAndPartialDerivation, getSizeOfEventSpace, setParameterOffset, setParameters`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD